# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'relink_api/version'

Gem::Specification.new do |spec|
  spec.name          = "relink_api"
  spec.version       = RelinkApi::VERSION
  spec.authors       = ["Andriy Lukashchuk"]
  spec.email         = ["darksundarksun@gmail.com"]

  spec.summary       = %q{Relink Marlowe API wrapper.}
  spec.description   = %q{Relink Marlowe API wrapper https://relinklabs.com.}
  spec.homepage      = "https://github.com/Dark-Sun/relink_api"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'httparty', '~> 0.13.7'

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock", '~> 0'
  spec.add_development_dependency "factory_girl", '~> 0'
  spec.add_development_dependency "faker", '~> 0'
  spec.add_development_dependency "pry", '~> 0'
end
